lev

## Class LExport

- java.lang.Object
- - lev.LExport

- Direct Known Subclasses:
    LOutChannel, LOutFile

      public abstract class LExport
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LExport(java.io.File file)`
    `LExport(java.lang.String path)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `close()` Flushes buffer and closes output stream.
    `abstract void` | `openOutput(java.lang.String path)`
    `void` | `write(boolean input, int size)`
    `abstract void` | `write(byte b)`
    `abstract void` | `write(byte[] array)` Writes a byte array to the file.
    `void` | `write(byte[] array, int size)` Writes a byte array to the file.
    `void` | `write(float input)` Writes a float to the file.
    `void` | `write(int input)`
    `void` | `write(int input, int size)` Writes an integer to the file.
    `void` | `write(java.lang.String input)` Writes a string to the output (no null terminator).
    `void` | `write(java.lang.String input, int size)` Writes a string to the output (no null terminator).
    `void` | `writeZeros(int size)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LExport

          public LExport(java.io.File file)
                  throws java.io.FileNotFoundException

      Parameters:
        `file` - File to open an exporter to.
      Throws:
        `java.io.FileNotFoundException`

    - #### LExport

          public LExport(java.lang.String path)
                  throws java.io.FileNotFoundException

      Parameters:
        `path` - Path to open an exporter to.
      Throws:
        `java.io.FileNotFoundException`

  - ### Method Detail

    - #### openOutput

          public abstract void openOutput(java.lang.String path)
                                   throws java.io.FileNotFoundException

      Parameters:
        `path` - Path to open a channel to.
      Throws:
        `java.io.FileNotFoundException`

    - #### write

          public abstract void write(byte[] array)
                              throws java.io.IOException

      Writes a byte array to the file.
      Parameters:
        `array` -
      Throws:
        `java.io.IOException`

    - #### write

          public void write(byte[] array,
                   int size)
                     throws java.io.IOException

      Writes a byte array to the file.
      Parameters:
        `array` -
        `size` - Minimum byte size. Output will be appended with zeros until size is met.
      Throws:
        `java.io.IOException`

    - #### writeZeros

          public void writeZeros(int size)
                          throws java.io.IOException

      Parameters:
        `size` -
      Throws:
        `java.io.IOException`

    - #### write

          public void write(int input,
                   int size)
                     throws java.io.IOException

      Writes an integer to the file. Can span multiple bytes if the integer is large.
      Parameters:
        `input` - Integer to output.
        `size` - Minimum byte size. Output will be appended with zeros until size is met.
      Throws:
        `java.io.IOException`

    - #### write

          public void write(int input)
                     throws java.io.IOException

      Parameters:
        `input` -
      Throws:
        `java.io.IOException`

    - #### write

          public abstract void write(byte b)
                              throws java.io.IOException

      Parameters:
        `b` -
      Throws:
        `java.io.IOException`

    - #### write

          public void write(java.lang.String input)
                     throws java.io.IOException

      Writes a string to the output (no null terminator).
      Parameters:
        `input` -
      Throws:
        `java.io.IOException`

    - #### write

          public void write(java.lang.String input,
                   int size)
                     throws java.io.IOException

      Writes a string to the output (no null terminator).
      Parameters:
        `input` -
        `size` - Minimum byte size. Output will be appended with zeros until size is met.
      Throws:
        `java.io.IOException`

    - #### write

          public void write(boolean input,
                   int size)
                     throws java.io.IOException

      Parameters:
        `input` - Boolean to write
        `size` - Number of bytes to write
      Throws:
        `java.io.IOException`

    - #### write

          public void write(float input)
                     throws java.io.IOException

      Writes a float to the file.
      Parameters:
        `input` -
      Throws:
        `java.io.IOException`

    - #### close

          public abstract void close()
                              throws java.io.IOException

      Flushes buffer and closes output stream.
      Throws:
        `java.io.IOException`